## wbar 1.3.3+dfsg2

=== Makefile ===
TARGET=wbar
CXXFLAGS=`imlib2-config --cflags` -Wall -O2 #-DCOS_ZOOM #-DLINEAR_TRASL -DNO_EXPAND #-DAVGFILTER
LDFLAGS=`imlib2-config --libs`  -Wl,-O2
PREFIX=/usr/share/wbar

	
sources= XWin.cc Icon.cc Bar.cc IconLoader.cc \
	 OptParser.cc SuperBar.cc SuperIcon.cc
objects= $(sources:.cc=.o) Main.o
headers= $(sources:.cc=.h) debug.h

all: $(TARGET) 

$(objects): $(headers) Makefile

$(TARGET): $(objects) 
	g++ $(LDFLAGS) -o $(@) $(objects)
	#strip $(@)

install: $(TARGET)
	if [ "`whoami`" != "root" ]; then \
		echo "You must be root to install"; \
		exit 1; \
	fi

	install -d $(PREFIX)
	awk '{if($$1 ~ /i:/ || ($$1 ~ /t:/ && NR<4)) print $$1" $(PREFIX)/"$$2; else print $$0;}' \
		./dot.wbar > $(PREFIX)/dot.wbar
	cp -a ./iconpack $(PREFIX)/iconpack

	#ln -fs $(PREFIX)/iconpack/comic.ttf $(PREFIX)/iconpack/wbar.nuvoux/font.ttf
	#ln -fs $(PREFIX)/iconpack/comic.ttf $(PREFIX)/iconpack/wbar.ice/font.ttf
	ln -fs $(PREFIX)/iconpack/comic.ttf $(PREFIX)/iconpack/wbar.osx/font.ttf
	
	install ./wbar /usr/bin

uninstall:
	if [ "`whoami`" != "root" ]; then \
		echo "You must be root to install"; \
		exit 1; \
	fi

	rm -rf $(PREFIX)
	rm -f /usr/bin/wbar


clean:
	rm -f *.o $(TARGET)

## wbar 1.3.3+dfsg1-27-tsm4

=== debian/changelog ===
wbar (1.3.3+dfsg1-27-tsm4) jaunty; urgency=low

  * fix toggle_wbar.sh's bug

 -- lian liang <lianglian@thunderst.com>  Mon, 24 May 2010 17:21:20 +0800

wbar (1.3.3+dfsg1-27-tsm3) jaunty; urgency=low

  * fix toggle_wbar.sh's bug

 -- lian liang <lianglian@thunderst.com>  Mon, 17 May 2010 16:16:07 +0800

wbar (1.3.3+dfsg1-27-tsm2) jaunty; urgency=low

  * fix startup black background bug

 -- lian liang <lianglian@thunderst.com>  Thu, 29 Apr 2010 14:04:48 +0900

wbar (1.3.3+dfsg1-26-tsm2) jaunty; urgency=low

  * fix bug Bug#567066

 -- lian liang <lianglian@thunderst.com>  Sat, 24 Apr 2010 19:30:45 +0900

wbar (1.3.3+dfsg1-25-tsm2) jaunty; urgency=low

  * add postinst to make toggle_wbar.sh can be run(chmod 755)

 -- lian liang <lianglian@thunderst.com>  Sat, 24 Apr 2010 19:30:45 +0900

wbar (1.3.3+dfsg1-24-tsm2) jaunty; urgency=low

  * merge extra_data in iconpack/Makefile.am

 -- lian liang <lianglian@thunderst.com>  Sat, 24 Apr 2010 19:30:45 +0900

wbar (1.3.3+dfsg1-23-tsm2) jaunty; urgency=low

  * add toggle_wbar.desktop toggle_wbar.sh wbar.png

 -- lian liang <lianglian@thunderst.com>  Sat, 24 Apr 2010 18:30:45 +0900

wbar (1.3.3+dfsg1-22-tsm2) jaunty; urgency=low

  * add toggle_wbar.desktop toggle_wbar.sh wbar.png

 -- lian liang <lianglian@thunderst.com>  Sat, 24 Apr 2010 18:27:45 +0900

wbar (1.3.3+dfsg1-21-tsm2) jaunty; urgency=low

  * change default wait time from 2s to 7s and
  * two process start interval from 2s to 10s

 -- lian liang <lianglian@thunderst.com>  Tue, 13 Apr 2010 18:27:45 +0900

wbar (1.3.3+dfsg1-20-tsm2) jaunty; urgency=low

  * change dot.wbar

 -- lian liang <lianglian@thunderst.com>  Mon, 12 Apr 2010 11:49:34 +0800

wbar (1.3.3+dfsg1-19-tsm2) jaunty; urgency=low

  * change background.png

 -- lian liang <lianglian@thunderst.com>  Fri, 09 Apr 2010 21:18:16 +0800

wbar (1.3.3+dfsg1-16-tsm2) jaunty; urgency=low

  * add alarm(0) to Main.cc

 -- lian liang <lianglian@thunderst.com>  Thu, 01 Apr 2010 09:52:54 +0800

wbar (1.3.3+dfsg1-15-tsm2) jaunty; urgency=low

  * change the size of "starting"

 -- lian liang <lianglian@thunderst.com>  Fri, 26 Mar 2010 13:09:19 +0800

wbar (1.3.3+dfsg1-14-tsm2) jaunty; urgency=low

  * change dot.wbar

 -- lian liang <lianglian@thunderst.com>  Thu, 25 Mar 2010 16:18:39 +0800

wbar (1.3.3+dfsg1-13-tsm2) jaunty; urgency=low

  * cancle gconf-editor

 -- lian liang <lianglian@thunderst.com>  Tue, 23 Mar 2010 16:24:36 +0800

wbar (1.3.3+dfsg1-12-tsm2) jaunty; urgency=low

  * gconf-editor

 -- lian liang <lianglian@thunderst.com>  Tue, 23 Mar 2010 13:35:33 +0800

wbar (1.3.3+dfsg1-11-tsm2) jaunty; urgency=low

  * Window--wbar background

 -- lian liang <lianglian@thunderst.com>  Fri, 19 Mar 2010 20:06:11 +0800

wbar (1.3.3+dfsg1-10-tsm2ubuntu1) jaunty; urgency=low

  * window id

 -- lian liang <lianglian@thunderst.com>  Fri, 19 Mar 2010 19:14:21 +0800

wbar (1.3.3+dfsg1-9-tsm2) jaunty; urgency=low

  * chabge *png

 -- lian liang <lianglian@thunderst.com>  Fri, 05 Mar 2010 21:13:30 +0900

wbar (1.3.3+dfsg1-8-tsm2) jaunty; urgency=low

  * sh_run.c

 -- lian liang <lianglian@thunderst.com>  Fri, 05 Mar 2010 21:13:30 +0900

wbar (1.3.3+dfsg1-7-tsm2) jaunty; urgency=low

  * add txt to sh_run.c

 -- lian liang <lianglian@thunderst.com>  Fri, 05 Mar 2010 21:13:30 +0900

wbar (1.3.3+dfsg1-6-tsm2) jaunty; urgency=low

  * change wbar.osx to wbar.sharp

 -- lian liang <lianglian@thunderst.com>  Fri, 05 Mar 2010 21:13:30 +0900

wbar (1.3.3+dfsg1-5-tsm2) jaunty; urgency=low

  * autoreconf

 -- lian liang <lianglian@thunderst.com>  Fri, 05 Mar 2010 21:13:30 +0900

wbar (1.3.3+dfsg1-4-tsm2) jaunty; urgency=low

  * remove runtime depands

 -- lian liang <lianglian@thunderst.com>  Fri, 05 Mar 2010 15:54:52 +0800

wbar (1.3.3+dfsg1-3-tsm2) jaunty; urgency=low

  * remove *.db from iconpack/Makefile.am

 -- lian liang <lianglian@thunderst.com>  Thu, 04 Mar 2010 18:58:56 +0900

wbar (1.3.3+dfsg1-2-tsm2) jaunty; urgency=low

  * add pkg-config, intltool (>= 0.40.6), libgtk2.0-0, libgtk2.0-dev, libimlib2, libimlib2-dev to depands

 -- lian liang <lianglian@thunderst.com>  Thu, 04 Mar 2010 18:29:03 +0900

wbar (1.3.3+dfsg1-1-tsm2) jaunty; urgency=low
 
  * Initial release 

 -- lian liang <lianglian@thunderst.com>  Mon, 01 Mar 2010 10:57:16 +0800

=== debian/control ===
Source: wbar
Section: utils
Priority: extra
Maintainer: lian liang <lianglian@thundrest.com>
Build-Depends: debhelper (>= 7), autotools-dev, pkg-config, intltool (>= 0.40.6), libgtk2.0-0, libgtk2.0-dev, libimlib2, libimlib2-dev, libgconf2-dev
Standards-Version: 3.8.0
Homepage: 

Package: wbar
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: wbar
 wbar

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/wbar.sgml > wbar.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean  --exclude ./Main.cc.orig

install: build
	dh_testdir
	dh_testroot
	dh_prep   --exclude ./Main.cc.orig
	dh_installdirs

	# Add here commands to install the package into debian/wbar.
	$(MAKE) DESTDIR=$(CURDIR)/debian/wbar install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## wbar 2.3.4

=== debian/changelog ===
wbar (2.3.4-2) unstable; urgency=low

  * [b00e3c4] Improve debian/watch file.
    Thanks to Bart Martens for writing it.
  * [8fead7c] Automatically launch wbar on startup.
    Install wbar.desktop file in /etc/xdg/autostart instead of
    /usr/share/applications. It is no longer possible to start wbar with a
    desktop file, instead the default behaviour is now to launch wbar on
    startup for all users. If you do not like this change, simply remove
    /etc/xdg/autostart/wbar.desktop or create a similar file in
    ~./config/autostart and override undesired settings. This prevents
    inadvertently starting wbar multiple times without noticing.
    (Closes: #706118)
  * [e309e4b] Start wbar-config via desktop file.
    From now on it is possible to start wbar-config from application menus with
    the help of a new wbar-config.desktop file.
  * [68d32c2] Update README.Debian.

 -- Markus Koschany <apo@gambaru.de>  Thu, 25 Apr 2013 19:38:13 +0200

wbar (2.3.4-1) unstable; urgency=low

  * New Maintainer (Closes: #678865)
    - Thanks Krzysztof for the past work and all the best!
  * New upstream release. (Closes: #617902)
    - Now the configuration can be done in /etc/wbar.d/wbar.cfg (global) or
      ~/.wbar (per user).
  * Initial release of wbar-config. (Closes: #540701)
    - Wbar-config is an optional GUI tool to customize wbar and is now included
      in the upstream sources.
  * Switch to the new packaging format 3.0 (quilt). Thanks to Rodolfo
    Granata and Yadickson Soto for the initial packaging work and Jari Aalto
    for the patch. (Closes: #661034)
  * Update debian/copyright to the new machine-readable copyright format 1.0.
  * Update the license to GPL-3+.
  * Drop +dfsg because the new release is pristine and fully complies with
    the DFSG.
  * Add an additional wbar.xpm icon for the debian menu.
  * debian/rules:
    - Build with hardening=+all flags to provide more built-in security.
    - Build with DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed to install only
      dependencies which are really needed. Thanks Matthias Klose for the hint!
      (Closes: #641331)
    - Build with --parallel and autoreconf to ensure the proper recreation of
      the build system.
  * debian/control:
    - New Build-Depends: intltool, pkg-config, libglade2-dev, libgtk2.0-dev,
      libx11-dev, dh-autoreconf, debhelper (>= 9)
    - Bump Standards-Version to 3.9.4.
    - Wbar will be maintained in a git repository from now on. Add Vcs-fields.
  * Bump compat level to 9 to make use of automatic hardening build flags.
  * New recommended packages:
    - Recommended packages only exist to make Wbar work out-of-the-box.
      You can safely remove them if you prefer other icons or fonts.
    - Replace gnome-extra-icons with lxde-icon-theme which doesn't depend
      on extra packages and contains more modern icons.
    - Replace ttf-dustin in favour of fonts-liberation. Even if a wrong font
      or image path is set, wbar will not refuse to start. (Closes: #575087)
  * New suggested packages:
    - wbar-config: It is possible to customize wbar without wbar-config. To
      follow wbar's goals to stay lightweight, it is only suggested.
    - bash-completion: Now wbar provides its own bash-completion snippet
      which makes it possible to complete wbar options on the command line.
      Recommended for users of Bash but to be considerate of others who
      appreciate different shells (e.g. zsh) lowered to "Suggests".

 -- Markus Koschany <apo@gambaru.de>  Tue, 19 Sep 2012 15:30:32 +0200

wbar (1.3.3+dfsg2-2) unstable; urgency=low

  * Repacked again to get rid of non-free icons (Closes: #540612)
  * Make the dustin font a recommendation (Closes: #539654)
  * Fixed sample file so program works out of the box (Closes: #539661)
  * Add recommendation of gnome-extra-icons
  * Changed icons in debian/dot.wbar to GNOME icons
  * Add README.source (dpatch package template)
  * Add README.Debian that explain importance of -above-desk option.
  * Bumped Standards-Version to 3.8.3

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Fri, 20 Nov 2009 19:32:22 +0100

wbar (1.3.3+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #519993)

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Mon, 16 Mar 2009 20:10:28 +0100

=== debian/control ===
Source: wbar
Section: x11
Priority: optional
Maintainer: Markus Koschany <apo@gambaru.de>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 intltool,
 libglade2-dev,
 libgtk2.0-dev,
 libimlib2-dev,
 libx11-dev,
 pkg-config
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/wbar/
Vcs-Git: git://anonscm.debian.org/collab-maint/wbar.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/wbar.git

Package: wbar
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fonts-liberation, lxde-icon-theme
Suggests: bash-completion, wbar-config
Description: light and fast launch bar
 Wbar is a quick launch bar. It's fast, light and cool eye-candy.
 It was initially developed for Fluxbox, then tested on WindowMaker, Xfce
 and GNOME 2 and it works very well with other window managers, too.
 It can run on top of desktops such as xfdesktop or Nautilus with the
 -above-desk switch.

Package: wbar-config
Architecture: any
Depends: wbar (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GUI tool to configure wbar
 Wbar-config is a lightweight and easy to use GUI application to customize wbar.
 Among other things it is capable of changing icon size and distance and to
 adjust the position of the launch bar on the screen. You can also tune
 different graphical effects like transparency, color filter, zoom and jump
 factor of wbar.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
downloadurlmangle=s%.*/([^/]*)/downloads/detail\?name=([^=&]*).*%http://$1.googlecode.com/files/$2%,filenamemangle=s/.*name=([^&]+).*/$1/ \
http://code.google.com/p/wbar/downloads/list?can=1 .*=wbar-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|zip).*
